=== debian/changelog ===
slic3r-prusa (2.1.1+dfsg-2ubuntu1) focal; urgency=medium

  * Reduce parallelism to 2 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 12:54:22 +0100

slic3r-prusa (2.1.1+dfsg-2build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 09:31:26 +0100

slic3r-prusa (2.1.1+dfsg-2build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:23:22 +0100

slic3r-prusa (2.1.1+dfsg-2build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:05:23 +0000

slic3r-prusa (2.1.1+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:29:33 +0100

slic3r-prusa (2.1.1+dfsg-2) unstable; urgency=medium

  * [f44a47a] Reexport patches using gbp-pq
  * [106ab86] Fix admesh compilation error on big-endian architectures

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 24 Jan 2020 04:51:23 +0800

slic3r-prusa (2.1.1+dfsg-1) unstable; urgency=medium

  * [690563b] Install everything into debian/prusa-slicer
  * [b1ee9a5] Override local copy of NotoSans-Regular.ttf with symlink
  * [06d23bc] Update libgtest-dev build-dep to 1.7
  * [0fb7ef8] Update paths in debian/copyright
  * [93860ed] Update debian/copyright
  * [3807a67] New upstream version 2.1.1+dfsg
  * [c8d7f4a] Update paths in debian/copyright
  * [2b25f7d] Drop Use-system-libs.patch (upstreamed)
  * [8d6a3c0] Build-dep on libcereal-dev
  * [a6c3472] Fix syntax error in debian/copyright
  * [7bcede0] Fix license paragraphs in debian/copyright
  * [e93c98d] Update exec command in desktop file
    Drop --gui parameter, no longer exists
  * [489c360] Redo manpage for new options
  * [3ed4488] Amend references to Slic3r in package description.
    Update them to PrusaSlicer

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Jan 2020 11:21:02 +0800

slic3r-prusa (2.0.0+dfsg-1) UNRELEASED; urgency=medium

  * [70aeaf2] New upstream version 2.0.0
  * [6978afd] Refresh patches
  * [e9fd8a2] Update cmake flags
  * [f8045cf] Build-dep on zlib1g-dev
  * [3ef7df3] Update desktop file and icons
  * [a95a6ac] Drop outdated patches
  * [70a5346] Rename manpage
  * [341fbe5] Rename desktop file
  * [3016368] Drop perl dependencies
  * [2e44831] Rename slic3r-prusa binary package to prusa-slicer
  * [7fc8ceb] Drop dh_perl override in debian/rules
  * [2d4d1dd] Update debian/copyright
  * [5a6f513] New upstream version 2.0.0+dfsg
  * [64482a7] Re-add slic3r-prusa as a transitional package

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 15 Aug 2019 17:17:24 +0800

slic3r-prusa (1.41.3+dfsg-1) experimental; urgency=medium

  * [5099943] New upstream version 1.41.3+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 16 Mar 2019 16:01:29 +0800

slic3r-prusa (1.41.2+dfsg-1) unstable; urgency=medium

  * [8e0dd8b] Build-dep on libcurl4-gnutls-dev
  * [6051ff5] Update debian/copyright to include bundled avrdude
  * [c86a849] New upstream version 1.41.0+dfsg
  * [f002bbb] Drop upstreamed patch
  * [cd5213c] New upstream version 1.41.2+dfsg
  * [1f0a4b0] New upstream version 1.41.2+dfsg
  * [cf78089] Add new build-deps
  * [b793385] Exclude precompiled windows binary in avrdude folder, and
    atmel-docs. atmel-docs contains minified jquery files and other
    source-is-missing files, but this isn't strictly necessary for slic3r-prusa
    so toss the whole thing out.
  * [62e4ee1] Fix licenses in debian/copyright
  * [74a499e] Update vcs fields for salsa
  * [290bfac] Refresh patches and fix hashbang of /usr/bin/slic3r-prusa3d
  * [80c860f] Fix installation path of perl bits
  * [2c210f6] Use optional build-dep for libnlopt-cxx-dev.
    C++ interface was in libnlopt-dev before 2.4.2+dfsg-5.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 27 Feb 2019 11:07:00 +0800

slic3r-prusa (1.40.0+dfsg-1) unstable; urgency=medium

  * [ad2db45] New upstream version 1.40.0+dfsg
  * [75dda07] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Jul 2018 03:06:53 +0800
