=== debian/control ===
Source: slic3r-prusa
Section: perl
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9.20120312),
               cmake,
               help2man,
               libboost-all-dev,
               libcereal-dev,
               libcurl4-gnutls-dev,
               libtbb-dev,
               libglew-dev,
               libeigen3-dev,
               libnlopt-cxx-dev | libnlopt-dev (<< 2.4.2+dfsg-5~),
               libgtest-dev (>= 1.7),
               libboost-geometry-utils-perl,
               libclass-xsaccessor-perl,
               libencode-locale-perl,
               perl (>= 5.19.1) | libextutils-parsexs-perl (>= 3.180004),
               libextutils-typemaps-default-perl,
               perl,
               libio-stringy-perl,
               liblocal-lib-perl,
               libmath-convexhull-monotonechain-perl,
               libmath-geometry-voronoi-perl,
               libmath-planepath-perl,
               libmodule-build-withxspp-perl,
               libmoo-perl,
               libopengl-perl,
               libstorable-perl,
               libtime-hires-perl,
               libwx-perl,
               libxml-sax-expatxs-perl,
               libdevel-checklib-perl,
               xfonts-base,
               xvfb,
               xauth,
               zlib1g-dev
Standards-Version: 4.1.1
Homepage: http://github.com/prusa3d/slic3r
Vcs-Git: https://salsa.debian.org/3dprinting-team/slic3r-prusa
Vcs-Browser: https://salsa.debian.org/3dprinting-team/slic3r-prusa.git

Package: slic3r-prusa
Section: oldlibs
Architecture: all
Depends: prusa-slicer, ${misc:Depends}
Description: Transitional package for prusa-slicer
 PrusaSlicer converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 PrusaSlicer supports input in the STL, AMF and OBJ formats, and can output
 G-code for several series of 3D printers, including RepRap, Ultimaker,
 Makerbot, as well as SVG files for DLP printers.
 .
 It can be used with a graphical interface, or in batch mode via the
 command-line.
 .
 This is a transitional package. It can safely be removed.

Package: prusa-slicer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-noto-hinted
Description: G-code generator for 3D printers
 PrusaSlicer converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 PrusaSlicer supports input in the STL, AMF and OBJ formats, and can output
 G-code for several series of 3D printers, including RepRap, Ultimaker,
 Makerbot, as well as SVG files for DLP printers.
 .
 It can be used with a graphical interface, or in batch mode via the
 command-line.
